Package org.eclipse.net4j.util.collection

## Class IndexedList.ArrayBacked<E>

- java.lang.Object
- - org.eclipse.net4j.util.collection.IndexedList<E>
  - - org.eclipse.net4j.util.collection.IndexedList.ArrayBacked<E>

- All Implemented Interfaces:
    `java.lang.Iterable<E>`, `java.util.Collection<E>`, `java.util.List<E>`
  Enclosing class:
    IndexedList<E>

      public abstract static class IndexedList.ArrayBacked<E>
      extends IndexedList<E>

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.collection.IndexedList

      `IndexedList.ArrayBacked<E>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArrayBacked()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `E` | `get​(int i)` |
    `protected abstract E[]` | `getArray()` |
    `int` | `size()` |

    - ### Methods inherited from class org.eclipse.net4j.util.collection.IndexedList

      `add, add, addAll, addAll, clear, contains, containsAll, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, subList, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.List

      `equals, hashCode, replaceAll, sort, spliterator`

- - ### Constructor Detail

    - #### ArrayBacked

          public ArrayBacked()

  - ### Method Detail

    - #### getArray

          protected abstract E[] getArray()

    - #### get

          public E get​(int i)

      Specified by:
        `get` in interface `java.util.List<E>`
      Specified by:
        `get` in class `IndexedList<E>`

    - #### size

          public int size()

      Specified by:
        `size` in interface `java.util.Collection<E>`
      Specified by:
        `size` in interface `java.util.List<E>`
      Specified by:
        `size` in class `IndexedList<E>`